Ticket #43778

Converting a unit reduces its veterancy

Date d'ouverture: 2022-02-04 03:50 Dernière mise à jour: 2022-02-07 07:07

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
4

Détails

"Convert Unit" action reduces the unit's veterancy at @autoupgrade_veteran_loss@ levels. It is not documented, not logical and most probably is a bug.

Ticket History (3/15 Histories)

2022-02-04 03:50 Updated by: ihnatus
  • New Ticket "Converting a unit reduces its veterancy" created
2022-02-04 06:00 Updated by: ihnatus
  • File 3_0-no-convert-vet-loss.patch (File ID: 8438) is attached
2022-02-04 06:00 Updated by: ihnatus
Commentaire

Patched. This ticked also serves as a base for #42666, taking unnecessary stuff out of transform_unit().

2022-02-04 06:02 Updated by: ihnatus
  • File 3_0-no-convert-vet-loss.patch (File ID: 8438) is deleted
2022-02-04 10:48 Updated by: alienvalkyrie
Commentaire

Patches look good. Could you export them with commit information (e.g. via git format-patch)? Then we can apply the patches so that the commit will be correctly attributed to you.

idk if backports to 2.6

Given that there probably won't be any more 2.6 releases, this is unlikely to become relevant either way.

I'm not sure whether this should be included in 3.0.0 (i.e. pushed in between the release candidate, which is currently in the works, and the release proper, in a week or so), rather than being pushed back to 3.0.1 – it's not exactly a critical fix, doubly so given that no supplied rulesets currently use unit conversion. On the other hand, for any ruleset authors using both unit conversion and autoupgrade veteran loss, having to wait until 3.0.1 wouldn't be great either.

2022-02-04 13:09 Updated by: cazfi
Commentaire

Reply To alienvalkyrie

it's not exactly a critical fix, doubly so given that no supplied rulesets currently use unit conversion.

Not a regression since 2.6.

2022-02-04 14:02 Updated by: cazfi
Commentaire

(But if we are forced to make RC2 for some other reason, I would consider getting this in to it)

2022-02-05 02:32 Updated by: ihnatus
Commentaire

Reply To alienvalkyrie

Patches look good. Could you export them with commit information (e.g. via git format-patch)? Then we can apply the patches so that the commit will be correctly attributed to you.

Ah yeah, have not comitted anything for so long that forgot how git works :)

2022-02-05 04:12 Updated by: alienvalkyrie
  • Propriétaire Update from (Aucun) to alienvalkyrie
  • Résolution Update from Aucun to Accepted
Commentaire

Great – I'll merge these once the 3.0.0 release is done.

2022-02-06 06:12 Updated by: cazfi
Commentaire

Reply To cazfi

... if we are forced to make RC2 for some other reason

We are.

2022-02-07 07:07 Updated by: alienvalkyrie
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Attachment File List

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion